## org.apache.fop.dom.svg
Class SVGTextContentElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement
                              |
                              +--org.apache.fop.dom.svg.SVGTextContentElementImpl

Direct Known Subclasses:
  SVGTextElementImpl, SVGTSpanElementImpl

public class SVGTextContentElementImpl
extends GraphicElement
implements org.w3c.dom.svg.SVGTextContentElement

class representing text in an SVG Area

Fields inherited from class org.apache.fop.dom.svg.GraphicElement
`reqExtensions, reqFeatures, sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.svg.SVGTextContentElement
`LENGTHADJUST_SPACING, LENGTHADJUST_SPACINGANDGLYPHS, LENGTHADJUST_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGTextContentElementImpl()`

Method Summary
`int` `getCharNumAtPosition(org.w3c.dom.svg.SVGPoint point)`
`float` `getComputedTextLength()`
`org.w3c.dom.svg.SVGPoint` `getEndPositionOfChar(int charnum)`
`org.w3c.dom.svg.SVGRect` `getExtentOfChar(int charnum)`
`org.w3c.dom.svg.SVGAnimatedEnumeration` `getLengthAdjust()`
`int` `getNumberOfChars()`
`float` `getRotationOfChar(int charnum)`
`org.w3c.dom.svg.SVGPoint` `getStartPositionOfChar(int charnum)`
`float` `getSubStringLength(int charnum, int nchars)`
`org.w3c.dom.svg.SVGAnimatedLength` `getTextLength()`
`void` `selectSubString(int charnum, int nchars)`

Methods inherited from class org.apache.fop.dom.svg.GraphicElement
`addEventListener, dispatchEvent, getBBox, getChildrenBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getRequiredExtensions, getRequiredFeatures, getScreenCTM, getSystemLanguage, getTransform, getTransformToElement, getXMLlang, getXMLspace, hasExtension, removeEventListener, setRequiredExtensions, setRequiredFeatures, setSystemLanguage, setTransform, setXMLlang, setXMLspace`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getExternalResourcesRequired, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setExternalResourcesRequired, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGTextContentElementImpl

    public SVGTextContentElementImpl()

Method Detail

### getTextLength

    public org.w3c.dom.svg.SVGAnimatedLength getTextLength()

  Specified by:
    getTextLength in interface org.w3c.dom.svg.SVGTextContentElement

### getLengthAdjust

    public org.w3c.dom.svg.SVGAnimatedEnumeration getLengthAdjust()

  Specified by:
    getLengthAdjust in interface org.w3c.dom.svg.SVGTextContentElement

### getNumberOfChars

    public int getNumberOfChars()

  Specified by:
    getNumberOfChars in interface org.w3c.dom.svg.SVGTextContentElement

### getComputedTextLength

    public float getComputedTextLength()

  Specified by:
    getComputedTextLength in interface org.w3c.dom.svg.SVGTextContentElement

### getSubStringLength

    public float getSubStringLength(int charnum,
                                    int nchars)

  Specified by:
    getSubStringLength in interface org.w3c.dom.svg.SVGTextContentElement

### getStartPositionOfChar

    public org.w3c.dom.svg.SVGPoint getStartPositionOfChar(int charnum)

  Specified by:
    getStartPositionOfChar in interface org.w3c.dom.svg.SVGTextContentElement

### getEndPositionOfChar

    public org.w3c.dom.svg.SVGPoint getEndPositionOfChar(int charnum)

  Specified by:
    getEndPositionOfChar in interface org.w3c.dom.svg.SVGTextContentElement

### getExtentOfChar

    public org.w3c.dom.svg.SVGRect getExtentOfChar(int charnum)

  Specified by:
    getExtentOfChar in interface org.w3c.dom.svg.SVGTextContentElement

### getRotationOfChar

    public float getRotationOfChar(int charnum)

  Specified by:
    getRotationOfChar in interface org.w3c.dom.svg.SVGTextContentElement

### getCharNumAtPosition

    public int getCharNumAtPosition(org.w3c.dom.svg.SVGPoint point)

  Specified by:
    getCharNumAtPosition in interface org.w3c.dom.svg.SVGTextContentElement

### selectSubString

    public void selectSubString(int charnum,
                                int nchars)

  Specified by:
    selectSubString in interface org.w3c.dom.svg.SVGTextContentElement

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.